< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package govukfrontend
  Definition Classes
    hmrc
-  package examples
  Definition Classes
    govukfrontend
-  object FileSystem extends Retryable
  Definition Classes
    examples
- AncestorCounter
- PathAncestry
- TrueDir
- TrueFile
- TruePath

c

uk.gov.hmrc.govukfrontend.examples.FileSystem

# TrueFile 

###

#### case class TrueFile(path: Path) extends TruePath with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, TruePath, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TrueFile
2. Serializable
3. Serializable
4. Product
5. Equals
6. TruePath
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new TrueFile(path: Path)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
6.  def ensure(implicit ec: ExecutionContext): Future[Unit]
   Definition Classes
     TrueFile → TruePath
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def exists(): Boolean
   Definition Classes
     TrueFile → TruePath
9.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def getParent: Option[TrueDir]
    Definition Classes
      TruePath
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  val path: Path
    Definition Classes
      TrueFile → TruePath
17.  def read(implicit ec: ExecutionContext): Future[String]
18.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
19.  def toPathAncestry: PathAncestry
    Definition Classes
      TrueFile → TruePath
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )
23.  def write(content: String)(implicit ec: ExecutionContext): Future[Unit]

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from TruePath

### Inherited from AnyRef

### Inherited from Any

### Ungrouped